Skip to:
Content

#4472 closed defect (bug) (wontfix)

BuddyPress compatible Twenty Twelve

Reported by: Mamaduka Owned by:
Milestone: Priority: normal
Severity: normal Version: 1.7
Component: Theme Keywords: dev-feedback
Cc:

Description

With the new BuddyPress theme compatibility (#3741), it would be nice to create BP compat Twenty Twelve child theme (like bbPress did with Twenty Ten). That would give theme developers good starting point and users another good BP theme.

Change History (4)

comment:1 DJPaul20 months ago

  • Keywords dev-feedback added

I'm against shipping any WordPress theme with BuddyPress; it doesn't add much value, it's for a limited audience, and the (small) BP dev team/contributors have enough code to maintain already. We've already planned to move BP-Default out of BuddyPress core and on to WordPress.org/extend/themes in the not-too-distant future.

comment:2 Mamaduka20 months ago

@DJPaul

Didn't know that. I'm okay with both cases. Main purpose for this ticket is example child theme with BP compatibility. Should we move development from trac, e.g. on GitHub?

comment:3 modemlooper20 months ago

@mamaduka

BP 1.7 will work with Twenty Ten OOTB. No need for a child theme. 1.7 will use any themes page.php to render BuddyPress content. The main reason to move BP-default theme to repo is back compat for existing child themes of BP-default

comment:4 DJPaul20 months ago

  • Milestone Awaiting Review deleted
  • Resolution set to wontfix
  • Status changed from new to closed
  • Version set to 1.7

BP core won't be shipping with a child theme. See comments above for details. If someone wants to build one and put it on wordpress.org, we're happy to help where we can.

Note: See TracTickets for help on using tickets.